Bug 1016921 - Crash in "gtk_text_view_validate_onscreen"
Crash in "gtk_text_view_validate_onscreen"
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
: 1017100 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 19:08 EDT by Matěj Cepl
Modified: 2018-04-11 13:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:28:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test case (23.91 KB, text/x-python)
2013-10-08 19:08 EDT, Matěj Cepl
no flags Details
File: backtrace (73.67 KB, text/plain)
2013-10-14 16:10 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Matěj Cepl 2013-10-08 19:08:55 EDT
Created attachment 809584 [details]
test case

Description of problem:

When running gedit editing large Python code (most active plugin ATM was probably https://github.com/khertan/gedit_flake8) suddenly gedit crashes without any visible action on my part.

Program terminated with signal 6, Aborted.
#0  0x00007ffb73523999 in __GI_raise (sig=sig@entry=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
56	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
Missing separate debuginfos, use: debuginfo-install krb5-libs-1.11.3-22.el7.x86_64
(gdb) thread apply all backtrace

Thread 6 (Thread 0x7ffb4e561700 (LWP 684)):
#0  0x00007ffb735d9bdd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007ffb73e150f4 in g_main_context_poll (priority=2147483647, n_fds=1, 
    fds=0x7ffb400008c0, timeout=5217, context=0x2015870) at gmain.c:3995
#2  g_main_context_iterate (context=context@entry=0x2015870, 
    block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>)
    at gmain.c:3696
#3  0x00007ffb73e151fc in g_main_context_iteration (context=0x2015870, 
    may_block=may_block@entry=1) at gmain.c:3762
#4  0x00007ffb73e15249 in glib_worker_main (data=<optimized out>) at gmain.c:5427
#5  0x00007ffb73e39185 in g_thread_proxy (data=0x2016c00) at gthread.c:798
#6  0x00007ffb738b6de3 in start_thread (arg=0x7ffb4e561700)
    at pthread_create.c:308
#7  0x00007ffb735e41ad in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 5 (Thread 0x7ffb3ffff700 (LWP 691)):
#0  g_slice_free1 (mem_size=32, mem_block=0xcf2180) at gslice.c:1077
#1  0x00007ffb5ebb0ca4 in _invoke_state_clear (cache=0x1d79180, 
    state=0x7ffb3fffe010) at pygi-invoke.c:350
#2  pygi_callable_info_invoke (info=<optimized out>, py_args=<optimized out>, 
    kwargs=<optimized out>, cache=<optimized out>, function_ptr=<optimized out>, 
    user_data=<optimized out>) at pygi-invoke.c:671
#3  0x00007ffb5efd722a in ext_do_call (nk=<optimized out>, na=<optimized out>, 
    flags=<optimized out>, pp_stack=0x7ffb3fffe1d0, 
    func=<built-in method invoke of gi.FunctionInfo object at remote 0x11db368>)
    at /usr/src/debug/Python-2.7.5/Python/ceval.c:4408
#4  PyEval_EvalFrameEx (
    f=f@entry=Frame 0x20e59f0, for file /usr/lib64/python2.7/site-packages/gi/types.py, line 113, in function (args=(<Document at remote 0x1e19eb0>, <TextTag at remote 0x1e2ba50>, <TextIter at remote 0x7ffb3813cae0>, <TextIter at remote 0x7ffb3813cbb0>), kwargs={}), throwflag=throwflag@entry=0)
    at /usr/src/debug/Python-2.7.5/Python/ceval.c:2779
#5  0x00007ffb5efd8c7d in PyEval_EvalCodeEx (co=<optimized out>, 
    globals=<optimized out>, locals=locals@entry=0x0, args=<optimized out>, 
    argcount=argcount@entry=4, kws=0x7ffb38005ac0, kwcount=0, defs=0x0, 
    defcount=0, closure=closure@entry=(<cell at remote 0x11de718>,))
    at /usr/src/debug/Python-2.7.5/Python/ceval.c:3330
#6  0x00007ffb5efd7769 in fast_function (nk=<optimized out>, na=4, n=4, 
    pp_stack=0x7ffb3fffe3d0, func=<function at remote 0x11e1050>)
    at /usr/src/debug/Python-2.7.5/Python/ceval.c:4194
#7  call_function (oparg=<optimized out>, pp_stack=0x7ffb3fffe3d0)
    at /usr/src/debug/Python-2.7.5/Python/ceval.c:4119
#8  PyEval_EvalFrameEx (
    f=f@entry=Frame 0x7ffb380058f0, for file /home/matej/.local/share/gedit/plugins/gedit_flake8/__init__.py, line 246, in _highlight_errors (self=<Worker(cancelled=False, _Thread__args=(), _Thread__block=<_Condition(_Verbose__verbose=False, _Condition__lock=<thread.lock at remote 0x1e2a5f0>, acquire=<built-in method acquire of thread.lock object at remote 0x1e2a5f0>, _Condition__waiters=[], release=<built-in method release of thread.lock object at remote 0x1e2a5f0>) at remote 0x2029950>---Type <return> to continue, or q <return> to quit---
, _Thread__name='Thread-1', _Thread__daemonic=False, _results=<ResultsModel at remote 0x1e2beb0>, _Thread__started=<_Event(_Verbose__verbose=False, _Event__flag=True, _Event__cond=<_Condition(_Verbose__verbose=False, _Condition__lock=<thread.lock at remote 0x1e2a5d0>, acquire=<built-in method acquire of thread.lock object at remote 0x1e2a5d0>, _Condition__waiters=[], release=<built-in method release of thread.lock object at remote 0x1e2a5d0>) at remote 0x2029910>) at remote 0x2029810>, _Thread__stderr=<file at remote 0x7ffb5eed51e0>, _error...(truncated), 
    throwflag=throwflag@entry=0)
    at /usr/src/debug/Python-2.7.5/Python/ceval.c:2740
#9  0x00007ffb5efd780c in fast_function (nk=<optimized out>, na=2, n=2, 
    pp_stack=0x7ffb3fffe530, func=<function at remote 0x19fd7d0>)
    at /usr/src/debug/Python-2.7.5/Python/ceval.c:4184
#10 call_function (oparg=<optimized out>, pp_stack=0x7ffb3fffe530)
    at /usr/src/debug/Python-2.7.5/Python/ceval.c:4119
#11 PyEval_EvalFrameEx (
    f=f@entry=Frame 0x7ffb38000d20, for file /home/matej/.local/share/gedit/plugins/gedit_flake8/__init__.py, line 328, in run (self=<Worker(cancelled=False, _Thread__args=(), _Thread__block=<_Condition(_Verbose__verbose=False, _Condition__lock=<thread.lock at remote 0x1e2a5f0>, acquire=<built-in method acquire of thread.lock object at remote 0x1e2a5f0>, _Condition__waiters=[], release=<built-in method release of thread.lock object at remote 0x1e2a5f0>) at remote 0x2029950>, _Thread__name='Thread-1', _Thread__daemonic=False, _results=<ResultsModel at remote 0x1e2beb0>, _Thread__started=<_Event(_Verbose__verbose=False, _Event__flag=True, _Event__cond=<_Condition(_Verbose__verbose=False, _Condition__lock=<thread.lock at remote 0x1e2a5d0>, acquire=<built-in method acquire of thread.lock object at remote 0x1e2a5d0>, _Condition__waiters=[], release=<built-in method release of thread.lock object at remote 0x1e2a5d0>) at remote 0x2029910>) at remote 0x2029810>, _Thread__stderr=<file at remote 0x7ffb5eed51e0>, _errors=[<Message(_s...(truncated), 
    throwflag=throwflag@entry=0)
    at /usr/src/debug/Python-2.7.5/Python/ceval.c:2740
#12 0x00007ffb5efd780c in fast_function (nk=<optimized out>, na=1, n=1, 
    pp_stack=0x7ffb3fffe690, func=<function at remote 0x19fd8c0>)
    at /usr/src/debug/Python-2.7.5/Python/ceval.c:4184
#13 call_function (oparg=<optimized out>, pp_stack=0x7ffb3fffe690)
    at /usr/src/debug/Python-2.7.5/Python/ceval.c:4119
#14 PyEval_EvalFrameEx (
    f=f@entry=Frame 0x7ffb38000ae0, for file /usr/lib64/python2.7/threading.py, line 811, in __bootstrap_inner (self=<Worker(cancelled=False, _Thread__args=(), _Thread__block=<_Condition(_Verbose__verbose=False, _Condition__lock=<thread.lock at remote 0x1e2a5f0>, acquire=<built-in method acquire of thread.lock object at remote 0x1e2a5f0>, _Condition__waiters=[], release=<built-in method release of thread.lock object at remote 0x1e2a5f0>) at remote 0x2029950>, _Thread__name='Thread-1', _Thread__daemonic=False, _results=<ResultsModel at remote 0x1e2beb0>, _Thread__started=<_Event(_Verbose__verbose=False, _Event__flag=True, _Event__cond=<_Condition(_Verbose__verbose=False, _Condition__lock=<thread.lock at remote 0x1e2a5d0>, acquire=<built-in method acquire of thread.lock object at remote 0x1e2a5d0>, _Condition__waiters=[], release=<built-in method release of thread.lock object at remote 0x1e2a5d0>) at remote 0x2029910>) at remote 0x2029810>, _Thread__stderr=<file at remote 0x7ffb5eed51e0>, _errors=[<Message(_stock_id='gtk-dia...(truncated), 
    throwflag=throwflag@entry=0)
    at /usr/src/debug/Python-2.7.5/Python/ceval.c:2740
---Type <return> to continue, or q <return> to quit---
#15 0x00007ffb5efd780c in fast_function (nk=<optimized out>, na=1, n=1, 
    pp_stack=0x7ffb3fffe7f0, func=<function at remote 0xf8ac80>)
    at /usr/src/debug/Python-2.7.5/Python/ceval.c:4184
#16 call_function (oparg=<optimized out>, pp_stack=0x7ffb3fffe7f0)
    at /usr/src/debug/Python-2.7.5/Python/ceval.c:4119
#17 PyEval_EvalFrameEx (
    f=f@entry=Frame 0x7ffb38000910, for file /usr/lib64/python2.7/threading.py, line 784, in __bootstrap (self=<Worker(cancelled=False, _Thread__args=(), _Thread__block=<_Condition(_Verbose__verbose=False, _Condition__lock=<thread.lock at remote 0x1e2a5f0>, acquire=<built-in method acquire of thread.lock object at remote 0x1e2a5f0>, _Condition__waiters=[], release=<built-in method release of thread.lock object at remote 0x1e2a5f0>) at remote 0x2029950>, _Thread__name='Thread-1', _Thread__daemonic=False, _results=<ResultsModel at remote 0x1e2beb0>, _Thread__started=<_Event(_Verbose__verbose=False, _Event__flag=True, _Event__cond=<_Condition(_Verbose__verbose=False, _Condition__lock=<thread.lock at remote 0x1e2a5d0>, acquire=<built-in method acquire of thread.lock object at remote 0x1e2a5d0>, _Condition__waiters=[], release=<built-in method release of thread.lock object at remote 0x1e2a5d0>) at remote 0x2029910>) at remote 0x2029810>, _Thread__stderr=<file at remote 0x7ffb5eed51e0>, _errors=[<Message(_stock_id='gtk-dialog-er...(truncated), 
    throwflag=throwflag@entry=0)
    at /usr/src/debug/Python-2.7.5/Python/ceval.c:2740
#18 0x00007ffb5efd8c7d in PyEval_EvalCodeEx (co=<optimized out>, 
    globals=<optimized out>, locals=locals@entry=0x0, args=args@entry=0x2029228, 
    argcount=1, kws=kws@entry=0x0, kwcount=kwcount@entry=0, defs=defs@entry=0x0, 
    defcount=defcount@entry=0, closure=0x0)
    at /usr/src/debug/Python-2.7.5/Python/ceval.c:3330
#19 0x00007ffb5ef67ca0 in function_call (func=<function at remote 0xf8ab90>, 
    arg=(<Worker(cancelled=False, _Thread__args=(), _Thread__block=<_Condition(_Verbose__verbose=False, _Condition__lock=<thread.lock at remote 0x1e2a5f0>, acquire=<built-in method acquire of thread.lock object at remote 0x1e2a5f0>, _Condition__waiters=[], release=<built-in method release of thread.lock object at remote 0x1e2a5f0>) at remote 0x2029950>, _Thread__name='Thread-1', _Thread__daemonic=False, _results=<ResultsModel at remote 0x1e2beb0>, _Thread__started=<_Event(_Verbose__verbose=False, _Event__flag=True, _Event__cond=<_Condition(_Verbose__verbose=False, _Condition__lock=<thread.lock at remote 0x1e2a5d0>, acquire=<built-in method acquire of thread.lock object at remote 0x1e2a5d0>, _Condition__waiters=[], release=<built-in method release of thread.lock object at remote 0x1e2a5d0>) at remote 0x2029910>) at remote 0x2029810>, _Thread__stderr=<file at remote 0x7ffb5eed51e0>, _errors=[<Message(_stock_id='gtk-dialog-error', _lineno=3, _start_iter=None, _doc=<Document at remote 0x1e19eb0>, _message='E501 line too ...(truncated), kw=0x0)
    at /usr/src/debug/Python-2.7.5/Objects/funcobject.c:526
#20 0x00007ffb5ef43dd3 in PyObject_Call (
    func=func@entry=<function at remote 0xf8ab90>, 
    arg=arg@entry=(<Worker(cancelled=False, _Thread__args=(), _Thread__block=<_Condition(_Verbose__verbose=False, _Condition__lock=<thread.lock at remote 0x1e2a5f0>, acquire=<built-in method acquire of thread.lock object at remote 0x1e2a5f0>, _Condition__waiters=[], release=<built-in method release of thread.lock object at remote 0x1e2a5f0>) at remote 0x2029950>, _Thread__name='Thread-1', _Thread__daemonic=False, _results=<ResultsModel at remote 0x1e2beb0>, _Thread__started=<_Event(_Verbose__verbose=False, _Event__flag=True, _Event__cond=<_Condition(_Verbose__verbose=False, _Condition__lock=<thread.lock at remote 0x1e2a5d0>, acquire=<built-in metho---Type <return> to continue, or q <return> to quit---
d acquire of thread.lock object at remote 0x1e2a5d0>, _Condition__waiters=[], release=<built-in method release of thread.lock object at remote 0x1e2a5d0>) at remote 0x2029910>) at remote 0x2029810>, _Thread__stderr=<file at remote 0x7ffb5eed51e0>, _errors=[<Message(_stock_id='gtk-dialog-error', _lineno=3, _start_iter=None, _doc=<Document at remote 0x1e19eb0>, _message='E501 line too ...(truncated), 
    kw=kw@entry=0x0) at /usr/src/debug/Python-2.7.5/Objects/abstract.c:2529
#21 0x00007ffb5ef52555 in instancemethod_call (
    func=<function at remote 0xf8ab90>, 
    arg=(<Worker(cancelled=False, _Thread__args=(), _Thread__block=<_Condition(_Verbose__verbose=False, _Condition__lock=<thread.lock at remote 0x1e2a5f0>, acquire=<built-in method acquire of thread.lock object at remote 0x1e2a5f0>, _Condition__waiters=[], release=<built-in method release of thread.lock object at remote 0x1e2a5f0>) at remote 0x2029950>, _Thread__name='Thread-1', _Thread__daemonic=False, _results=<ResultsModel at remote 0x1e2beb0>, _Thread__started=<_Event(_Verbose__verbose=False, _Event__flag=True, _Event__cond=<_Condition(_Verbose__verbose=False, _Condition__lock=<thread.lock at remote 0x1e2a5d0>, acquire=<built-in method acquire of thread.lock object at remote 0x1e2a5d0>, _Condition__waiters=[], release=<built-in method release of thread.lock object at remote 0x1e2a5d0>) at remote 0x2029910>) at remote 0x2029810>, _Thread__stderr=<file at remote 0x7ffb5eed51e0>, _errors=[<Message(_stock_id='gtk-dialog-error', _lineno=3, _start_iter=None, _doc=<Document at remote 0x1e19eb0>, _message='E501 line too ...(truncated), kw=0x0)
    at /usr/src/debug/Python-2.7.5/Objects/classobject.c:2602
#22 0x00007ffb5ef43dd3 in PyObject_Call (
    func=func@entry=<instancemethod at remote 0x1e020a0>, arg=arg@entry=(), 
    kw=<optimized out>) at /usr/src/debug/Python-2.7.5/Objects/abstract.c:2529
#23 0x00007ffb5efd2af7 in PyEval_CallObjectWithKeywords (
    func=<instancemethod at remote 0x1e020a0>, arg=(), kw=<optimized out>)
    at /usr/src/debug/Python-2.7.5/Python/ceval.c:3967
#24 0x00007ffb5f006282 in t_bootstrap (boot_raw=0x1fa2fd0)
    at /usr/src/debug/Python-2.7.5/Modules/threadmodule.c:614
#25 0x00007ffb738b6de3 in start_thread (arg=0x7ffb3ffff700)
    at pthread_create.c:308
#26 0x00007ffb735e41ad in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 4 (Thread 0x7ffb4d8d1700 (LWP 686)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007ffb73e545b5 in g_cond_wait_until (cond=cond@entry=0x20161c8, 
    mutex=mutex@entry=0x20161c0, end_time=end_time@entry=275738133493)
    at gthread-posix.c:859
#2  0x00007ffb73debaf1 in g_async_queue_pop_intern_unlocked (
    queue=queue@entry=0x20161c0, wait=wait@entry=1, 
    end_time=end_time@entry=275738133493) at gasyncqueue.c:424
#3  0x00007ffb73dec07b in g_async_queue_timeout_pop (queue=0x20161c0, 
    timeout=timeout@entry=15000000) at gasyncqueue.c:545
#4  0x00007ffb73e39c16 in g_thread_pool_wait_for_new_pool () at gthreadpool.c:169
#5  g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:366
#6  0x00007ffb73e39185 in g_thread_proxy (data=0x1fa1a30) at gthread.c:798
#7  0x00007ffb738b6de3 in start_thread (arg=0x7ffb4d8d1700)
    at pthread_create.c:308
---Type <return> to continue, or q <return> to quit---
#8  0x00007ffb735e41ad in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 3 (Thread 0x7ffb66e55700 (LWP 676)):
#0  0x00007ffb735d9bdd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007ffb73e150f4 in g_main_context_poll (priority=2147483647, n_fds=7, 
    fds=0x7ffb600011b0, timeout=-1, context=0xb5b320) at gmain.c:3995
#2  g_main_context_iterate (context=0xb5b320, block=block@entry=1, 
    dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#3  0x00007ffb73e1555a in g_main_loop_run (loop=0xb5b2b0) at gmain.c:3895
#4  0x00007ffb74640d46 in gdbus_shared_thread_func (user_data=0xb5b2f0)
    at gdbusprivate.c:278
#5  0x00007ffb73e39185 in g_thread_proxy (data=0xb59a30) at gthread.c:798
#6  0x00007ffb738b6de3 in start_thread (arg=0x7ffb66e55700)
    at pthread_create.c:308
#7  0x00007ffb735e41ad in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 2 (Thread 0x7ffb5fdf3700 (LWP 677)):
#0  0x00007ffb735d9bdd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007ffb73e150f4 in g_main_context_poll (priority=2147483647, n_fds=1, 
    fds=0x7ffb580010c0, timeout=-1, context=0xc0a8e0) at gmain.c:3995
#2  g_main_context_iterate (context=context@entry=0xc0a8e0, block=block@entry=1, 
    dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#3  0x00007ffb73e151fc in g_main_context_iteration (
    context=context@entry=0xc0a8e0, may_block=may_block@entry=1) at gmain.c:3762
#4  0x00007ffb5fdfa9cd in dconf_gdbus_worker_thread (user_data=0xc0a8e0)
    at dconf-gdbus-thread.c:81
#5  0x00007ffb73e39185 in g_thread_proxy (data=0xc72c00) at gthread.c:798
#6  0x00007ffb738b6de3 in start_thread (arg=0x7ffb5fdf3700)
    at pthread_create.c:308
#7  0x00007ffb735e41ad in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 1 (Thread 0x7ffb7739f9c0 (LWP 675)):
#0  0x00007ffb73523999 in __GI_raise (sig=sig@entry=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#1  0x00007ffb735250a8 in __GI_abort () at abort.c:90
#2  0x00007ffb73e38bc6 in g_assertion_message (
    domain=domain@entry=0x7ffb76377be8 "Gtk", 
    file=file@entry=0x7ffb764353fa "gtktextview.c", line=line@entry=3864, 
    func=func@entry=0x7ffb76436940 <__PRETTY_FUNCTION__.51427> "gtk_text_view_validate_onscreen", message=<optimized out>) at gtestutils.c:1912
#3  0x00007ffb73e38c24 in g_assertion_message_expr (
    domain=domain@entry=0x7ffb76377be8 "Gtk", 
    file=file@entry=0x7ffb764353fa "gtktextview.c", line=line@entry=3864, 
    func=func@entry=0x7ffb76436940 <__PRETTY_FUNCTION__.51427> "gtk_text_view_validate_onscreen", expr=expr@entry=0x7ffb7643557d "priv->onscreen_validated")
    at gtestutils.c:1923
#4  0x00007ffb762b74ee in gtk_text_view_validate_onscreen (text_view=0x1f7a180)
    at gtktextview.c:3864
---Type <return> to continue, or q <return> to quit---
#5  0x00007ffb762b8c3e in gtk_text_view_flush_first_validate (
    text_view=0x1f7a180) at gtktextview.c:3905
#6  0x00007ffb762b8c79 in first_validate_callback (data=<optimized out>)
    at gtktextview.c:3924
#7  0x00007ffb75bf0d08 in gdk_threads_dispatch (data=0xcf24e0) at gdk.c:788
#8  0x00007ffb73e14e06 in g_main_dispatch (context=0xb49be0) at gmain.c:3054
#9  g_main_context_dispatch (context=context@entry=0xb49be0) at gmain.c:3630
#10 0x00007ffb73e15158 in g_main_context_iterate (
    context=context@entry=0xb49be0, block=block@entry=1, 
    dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3701
#11 0x00007ffb73e151fc in g_main_context_iteration (context=0xb49be0, 
    context@entry=0x0, may_block=may_block@entry=1) at gmain.c:3762
#12 0x00007ffb74610724 in g_application_run (application=0xb24030, 
    argc=argc@entry=2, argv=argv@entry=0x7fff7c5f8398) at gapplication.c:1623
#13 0x00000000004228d0 in main (argc=2, argv=0x7fff7c5f8398) at gedit.c:68
(gdb) 


Version-Release number of selected component (if applicable):
gedit-3.8.3-2.el7.x86_64 (my own rebuild with --enable-python=yes)

How reproducible:
100% for given document

Steps to Reproduce:
1.open the attached file in gedit (with installed flake8 plugin and flake8)
2.go through changes and edit
3.

Actual results:
It shouldn't take more than 10 edits and gedit crashes

Expected results:
No crash and free icecream for everybody!

Additional info:
I have tons of error messages on stderr:

(gedit:3338): Gtk-CRITICAL **: gtk_text_layout_real_invalidate: assertion `layout->wrap_loop_count == 0' failed
Comment 1 Matěj Cepl 2013-10-09 05:47:51 EDT
*** Bug 1017100 has been marked as a duplicate of this bug. ***
Comment 2 Matěj Cepl 2013-10-14 16:10:23 EDT
Not sure, it might be some plugin. Just was editing Python script in gedit and it crashes from time to time.

reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        gedit gnome_apps_helper.py
crash_function: gtk_text_iter_get_char
executable:     /usr/bin/gedit
kernel:         3.10.0-33.el7.x86_64
package:        gedit-3.8.3-2.0.1.MC.el7
reason:         Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 3 Matěj Cepl 2013-10-14 16:10:28 EDT
Created attachment 812214 [details]
File: backtrace
Comment 4 Jaroslav Reznik 2015-03-03 10:07:41 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 5 Fedora End Of Life 2016-07-19 06:28:07 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.